Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts
[Java] Interface SelfResolvingDependency

    org.gradle.api.Buildable
      org.gradle.api.artifacts.SelfResolvingDependency
          org.gradle.api.artifacts.Dependency

All Superinterfaces:
  Buildable, Dependency

    public interface SelfResolvingDependency
    extends Buildable, Dependency

A `SelfResolvingDependency` is a Dependency which is able to resolve itself, independent of a repository.

Field Summary

Fields inherited from interface Dependency
ARCHIVES_CONFIGURATION, CLASSIFIER, DEFAULT_CONFIGURATION

Method Summary
`Set` | `resolve()` Resolves this dependency.
`Set` | `resolve(boolean transitive)` Resolves this dependency by specifying the transitive mode.

Methods inherited from interface Buildable
getBuildDependencies

Methods inherited from interface Dependency
contentEquals, copy, getGroup, getName, getVersion

Method Detail

### resolve

    public Set resolve()

  Resolves this dependency. A ProjectDependency is resolved with transitive equals true by this method.
  Returns:
    The files which make up this dependency.
  See Also:
    resolve(boolean)

### resolve

    public Set resolve(boolean transitive)

  Resolves this dependency by specifying the transitive mode. This mode has only an effect if the self resolved dependency is of type ProjectDependency. In this case, if transitive is `false`, only the self resolving dependencies of the project configuration which are no project dependencies are resolved. If transitive is set to true, other project dependencies belonging to the configuration of the resolved project dependency are resolved recursively.
  Parameters:
    `transitive` - Whether to resolve transitively. Has only an effect on a ProjectDependency
  Returns:
    The files which make up this dependency.

Gradle API 1.10